#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  libaio-0.3.112

- Next

  libassuan-2.5.4

- Up
- Home

# libarchive-3.5.1

## Introduction to libarchive

The libarchive library provides a single interface for reading/writing various compression formats.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://github.com/libarchive/libarchive/releases/download/3.5.1/libarchive-3.5.1.tar.xz

- Download MD5 sum: 1f8c29149832baff8bae232fd2f9b0ec

- Download size: 4.7 MB

- Estimated disk space required: 40 MB (add 29 MB for tests)

- Estimated build time: 0.3 SBU (add 1.0 SBU for tests)

### libarchive Dependencies

#### Optional

libxml2-2.9.10, LZO-2.10, and Nettle-3.7.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libarchive

## Installation of libarchive

Install libarchive by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: LC_ALL=C make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--without-xml2`: This switch sets expat for xar archive format support instead of preferred libxml2 if both packages are installed.

`--without-nettle`: This switch sets OpenSSL for crypto support instead of preferred Nettle if both packages are installed.

## Contents

Installed Programs: bsdcat, bsdcpio, and bsdtar
Installed Libraries: libarchive.so
Installed Directories: None

### Short Descriptions

bsdcat | expands files to standard output
bsdcpio | is a tool similar to cpio
bsdtar | is a tool similar to GNU tar
`libarchive.so` | is a library that can create and read several streaming archive formats

Last updated on 2021-02-19 21:30:09 -0800

- Prev

  libaio-0.3.112

- Next

  libassuan-2.5.4

- Up
- Home